com.google.cloud.dataflow.sdk.testing

## Class TestStream.ElementEvent<T>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.testing.TestStream.ElementEvent<T>

All Implemented Interfaces:
  TestStream.Event<T>

Enclosing class:
  TestStream<T>

    public abstract static class TestStream.ElementEvent<T>
    extends Object
    implements TestStream.Event<T>

An `TestStream.Event` that produces elements.

### Constructor Summary

Constructors
Constructor and Description
`ElementEvent()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract Iterable<TimestampedValue<T>>` `getElements()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.cloud.dataflow.sdk.testing.TestStream.Event

`getType`

### Constructor Detail

#### ElementEvent

    public ElementEvent()

### Method Detail

#### getElements

    public abstract Iterable<TimestampedValue<T>> getElements()